.btn {
    position: relative;
    display: inline-flex;
    align-items: center;
    /* Adjust as needed */
    /* Center the text */
    justify-content: center;


}

.spinner-container {
    display: inline-flex;
    /* To make the spinner appear inline with text */
    align-items: center;
    /* Vertically center the spinner */
    margin-left: 10px;
    /* Space between the spinner and the text */
    width: 1em;
    /* You can adjust this */
    height: 1em;
    /* You can adjust this */
}

.spinner {
    border: 16px solid #f3f3f3;
    /* Light grey */
    border-top: 16px solid #3498db;
    /* Blue */
    border-radius: 50%;
    width: 100%;
    height: 100%;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}